using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send;

/// <summary>
/// 服务工单上报
/// </summary>
public class SendCaseInfo
{
    /// <summary>
    /// 服务工单标题
    /// </summary>
    [JsonPropertyName("CASE_TITLE")]
    public string CaseTitle { get; set; }

    /// <summary>
    /// 服务代表姓名
    /// </summary>
    [JsonPropertyName("CASE_REGISTER")]
    public string CaseRegister { get; set; }

    /// <summary>
    /// 服务代表工号
    /// </summary>
    [JsonPropertyName("CASE_REGISTERNO")]
    public string CaseRegisterNo { get; set; }

    /// <summary>
    /// 登记时间
    /// </summary>
    [JsonPropertyName("CASE_DATE")]
    public DateTime CaseDate { get; set; }

    /// <summary>
    /// 诉求渠道
    /// </summary>
    [JsonPropertyName("CASE_SOURCE")]
    public string CaseSource { get; set; }

    /// <summary>
    /// 联系电话
    /// </summary>
    [JsonPropertyName("PHONE_NUMBER")]
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 服务对象名称
    /// </summary>
    [JsonPropertyName("APPLICANT_NAME")]
    public string AppLicantName { get; set; }

    /// <summary>
    /// 服务对象性别
    /// </summary>
    [JsonPropertyName("APPLICANT_SEX")]
    public string AppLicantSex { get; set; }

    /// <summary>
    /// 服务对象年龄
    /// </summary>
    [JsonPropertyName("APPLICANT_AGE")]
    public string AppLicantAge { get; set; }

    /// <summary>
    /// 证件号码
    /// </summary>
    [JsonPropertyName("APPLICANT_ID")]
    public string AppLicantId { get; set; }

    /// <summary>
    /// 证件类型
    /// </summary>
    [JsonPropertyName("CERTIFICATE_TYPE")]
    public string CertifiCateType { get; set; }

    /// <summary>
    /// 诉求类型
    /// </summary>
    [JsonPropertyName("CASE_TYPE")]
    public string CaseType { get; set; }

    /// <summary>
    /// 诉求归口
    /// </summary>
    [JsonPropertyName("CASE_ACCORD")]
    public string CaseAccord { get; set; }

    /// <summary>
    /// 诉求内容
    /// </summary>
    [JsonPropertyName("CASE_CONTENT")]
    public string CaseContent { get; set; }

    /// <summary>
    /// 处理方式
    /// </summary>
    [JsonPropertyName("CASE_PROCESS_TYPE")]
    public string CaseProcessType { get; set; }

    /// <summary>
    /// 是否公开
    /// </summary>
    [JsonPropertyName("CASE_ISPUBLIC")]
    public string CaseIsPublic { get; set; } = "0";

    /// <summary>
    /// 是否保密
    /// </summary>
    [JsonPropertyName("CASE_ISSECRECT")]
    public string CaseIsSecrect { get; set; } = "0";

    /// <summary>
    /// 是否回访-工单是否需要回访
    /// </summary>
    [JsonPropertyName("CASE_ISVISIT")]
    public string CaseIsVisit { get; set; } = "1";

    /// <summary>
    /// 紧急程度
    /// </summary>
    [JsonPropertyName("CASE_ISURGENT")]
    public string CaseIsUrgent { get; set; }

    /// <summary>
    /// 经纬度
    /// </summary>
    [JsonPropertyName("CASE_LNGLAT")]
    public string CaseLngLat { get; set; }

    /// <summary>
    /// 诉求情感
    /// </summary>
    [JsonPropertyName("CASE_EMOTION")]
    public string CaseEmotion { get; set; }

    /// <summary>
    /// 诉求详细地址
    /// </summary>
    [JsonPropertyName("CASE_ADDRESS")]
    public string CaseAddress { get; set; }

    /// <summary>
    /// 事发时间
    /// </summary>
    [JsonPropertyName("EVENT_DATE")]
    public DateTime? EventDate { get; set; }

    /// <summary>
    /// 主题工单类型
    /// </summary>
    [JsonPropertyName("THEME_SERIAL")]
    public string ThemeSerial { get; set; } = "05";

    /// <summary>
    /// 是否存在拓展信息
    /// </summary>
    [JsonPropertyName("IS_EXTENDS")]
    public string IsExtends { get; set; }

    /// <summary>
    /// 服务工单编号
    /// </summary>
    [JsonPropertyName("CASE_SERIAL")]
    public string CaseSerial { get; set; }

    /// <summary>
    /// 行政区划代码
    /// </summary>
    [JsonPropertyName("AREA_CODE")]
    public string AreaCode { get; set; }

    /// <summary>
    /// 材料标识
    /// </summary>
    [JsonPropertyName("CLIENG_GUID")]
    public string CliengGuid { get; set; }

}

